curl --request POST \
--url https://api.agentic.scope3.com/mcp/v1/creative-create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'mcp-session-id: <mcp-session-id>' \
--data '
{
"params": {
"name": "creative_create",
"arguments": {
"creative_id": "example_id_123",
"name": "Example Name",
"format_id": {
"agent_url": "https://example.com",
"id": "example_id_123"
},
"assets": null,
"brand_agent_id": 100
}
},
"method": "tools/call",
"jsonrpc": "2.0",
"id": 1
}
'{
"content": [
{
"type": "text",
"text": "string"
}
],
"structuredContent": {
"creative_id": "example_id_123",
"name": "Example Name",
"format_id": {
"agent_url": "<string>",
"id": "<string>",
"width": 123,
"height": 123,
"duration_ms": 123
},
"assets": {},
"status": "string",
"created_at": "string",
"updated_at": "string",
"inputs": [],
"tags": [],
"weight": 100,
"placement_ids": [],
"provenance": {
"digital_source_type": "digital_capture",
"ai_tool": {
"name": "<string>",
"version": "<string>",
"provider": "<string>"
},
"human_oversight": "none",
"declared_by": {
"role": "creator",
"agent_url": "<string>"
},
"declared_at": "<string>",
"created_time": "<string>",
"c2pa": {
"manifest_url": "<string>"
},
"disclosure": {
"required": true,
"jurisdictions": [
{
"country": "<string>",
"regulation": "<string>",
"region": "<string>",
"label_text": "<string>",
"render_guidance": {
"persistence": "continuous",
"min_duration_ms": 123,
"positions": [
"prominent"
],
"ext": {}
}
}
]
},
"verification": [
{
"verified_by": "<string>",
"result": "authentic",
"verified_time": "<string>",
"confidence": 123,
"details_url": "<string>"
}
],
"ext": {}
},
"campaign_id": "example_id_123"
}
}Create a new creative with assets, copy, and targeting specifications.
curl --request POST \
--url https://api.agentic.scope3.com/mcp/v1/creative-create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'mcp-session-id: <mcp-session-id>' \
--data '
{
"params": {
"name": "creative_create",
"arguments": {
"creative_id": "example_id_123",
"name": "Example Name",
"format_id": {
"agent_url": "https://example.com",
"id": "example_id_123"
},
"assets": null,
"brand_agent_id": 100
}
},
"method": "tools/call",
"jsonrpc": "2.0",
"id": 1
}
'{
"content": [
{
"type": "text",
"text": "string"
}
],
"structuredContent": {
"creative_id": "example_id_123",
"name": "Example Name",
"format_id": {
"agent_url": "<string>",
"id": "<string>",
"width": 123,
"height": 123,
"duration_ms": 123
},
"assets": {},
"status": "string",
"created_at": "string",
"updated_at": "string",
"inputs": [],
"tags": [],
"weight": 100,
"placement_ids": [],
"provenance": {
"digital_source_type": "digital_capture",
"ai_tool": {
"name": "<string>",
"version": "<string>",
"provider": "<string>"
},
"human_oversight": "none",
"declared_by": {
"role": "creator",
"agent_url": "<string>"
},
"declared_at": "<string>",
"created_time": "<string>",
"c2pa": {
"manifest_url": "<string>"
},
"disclosure": {
"required": true,
"jurisdictions": [
{
"country": "<string>",
"regulation": "<string>",
"region": "<string>",
"label_text": "<string>",
"render_guidance": {
"persistence": "continuous",
"min_duration_ms": 123,
"positions": [
"prominent"
],
"ext": {}
}
}
]
},
"verification": [
{
"verified_by": "<string>",
"result": "authentic",
"verified_time": "<string>",
"confidence": 123,
"details_url": "<string>"
}
],
"ext": {}
},
"campaign_id": "example_id_123"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
MCP session identifier (UUID). Initialize your session by sending a POST request to this endpoint with method: "initialize" in the JSON-RPC body, then reuse the same session ID for all subsequent tool requests.
Request body for creative_create